name: condominio-ibiza
services:
  app:
    cpu_shares: 90
    command: []
    container_name: condominio_ibiza
    deploy:
      resources:
        limits:
          memory: 16655581184
        reservations:
          devices: []
    environment:
      - APP_ENV=production
      - DB_HOST=10.10.4.17
      - DB_NAME=ibiza_db
      - DB_PASS=MiPo6425@@
      - DB_PORT=3390
      - DB_USER=nickpons666
      - JWT_EXPIRATION=86400
      - JWT_SECRET=ibiza_jwt_secret_key_CHANGE_IN_PRODUCTION_2025!@#
      - SESSION_TIMEOUT=28800
      - SITE_URL=https://condominioibiza.ddns.net
    hostname: condominio_ibiza
    image: 10.10.4.3:5000/condominio_ibiza:latest
    labels:
      icon: https://www.punta-diamante.saredesarrollo.com.mx/storage/img/condominios/6/VBgcKjrcQCCQ7gIlGousPfH9EECJ4UluHwAThjJ2.png
    ports:
      - target: 80
        published: "8085"
        protocol: tcp
      - target: 443
        published: "8443"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /media/sda/AppData/condominioibiza/uploads
        target: /var/www/html/ibiza/uploads
      - type: bind
        source: /media/sda/AppData/condominioibiza/logs
        target: /var/www/html/ibiza/logs
    devices: []
    cap_add: []
    network_mode: bridge
    privileged: false
x-casaos:
  author: self
  category: self
  hostname: ""
  icon: https://www.punta-diamante.saredesarrollo.com.mx/storage/img/condominios/6/VBgcKjrcQCCQ7gIlGousPfH9EECJ4UluHwAThjJ2.png
  index: /
  is_uncontrolled: false
  port_map: "8085"
  scheme: http
  store_app_id: condominio-ibiza
  title:
    custom: ibiza
    en_us: app
